Summary:        A perl module which allows you to inspect (and even change!) lexical variables 
Name:           perl-PadWalker
Version:        2.5
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/PadWalker
Source0:        https://cpan.metacpan.org/authors/id/R/RO/ROBIN/PadWalker-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl(ExtUtils::MakeMaker)
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(DynaLoader) perl(Exporter) perl(strict) perl(vars)
# Tests:
BuildRequires:  perl(Data::Dumper) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
PadWalker is a module which allows you to inspect (and even change!) lexical 
variables in any subroutine which called you. It will only show those variables 
which are in scope at the point of the call.
PadWalker is particularly useful for debugging. It's even used by Perl's built-in 
debugger. (It can also be used for evil, of course.)


%prep
%autosetup -n PadWalker-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc Changes README
%{perl_vendorarch}/auto/PadWalker/PadWalker.so
%{perl_vendorarch}/*.pm
%{_mandir}/man3/*.3pm.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 26 2022 doriscchao <doriscchao@tencent.com> - 2.5-1
- initial build, Version 2.5, Release 1
